### Namespace

# Mtk – 14

Mutter Toolkit Private Library

Version | 14
Authors | Mutter Development Team
License | GPL-2.0-or-later
Website | https://blogs.gnome.org/shell-dev/
Source | https://gitlab.gnome.org/GNOME/mutter/

#### Build

C headers | `mtk/mtk.h`
pkg-config files | `mutter-mtk-14`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Structs

Rectangle |
Region |
RegionBuilder |
RegionIterator | MtkRegion is a yx banded region; sometimes its useful to iterate through such a region treating the start and end of each horizontal band in a distinct fashion.

#### Enumerations

RegionOverlap |
RoundingStrategy |

#### Functions

x11_error_trap_pop |
x11_error_trap_pop_with_return |
x11_error_trap_push |
x11_errors_deinit |
x11_errors_init |

#### Function Macros

RECTANGLE_CREATE_ARRAY_SCOPED |
RECTANGLE_INIT |

#### Constants

RECTANGLE_MAX_STACK_RECTS |
REGION_BUILDER_MAX_LEVELS |